import requests


# =====
class BaseApi:
    def __init__(self, url, **kwargs):
        self._url = url
        self._kwargs = kwargs

    def _call_api(self, handle, attrs):
        return requests.post("{}/{}".format(self._url, handle), data=attrs, **self._kwargs)
